Foobar2000:Development:Visual Studio Compatibility

From Hydrogenaudio Knowledgebase
Jump to: navigation, search


Microsoft Visual Studio compatibility[edit]

foobar2000 SDK includes project files that are verified to be compatible with Visual Studio 2017, 2019 and 2022.

You might need to retarget the projects to your different version on first open.

Bad behavior of whole program optimization[edit]

Visual Studio versions from 2012 up produce incorrect output with default release settings on foobar2000 code - see forum thread for details. You can mitigate this issue by compiling all affected code (foobar2000 SDK code along with everything that uses foobar2000 SDK classes) with /d2notypeopt option. This is set by default on project files provided with the SDK; please make sure that you set this option on any projects of your own.

If you're aware of a better workaround - such as a source code change rather than setting an obscure compiler flag - please let us know; posting on the forum is preferred for the benefit of other users of this SDK.